Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.renderkit.html.util
Class JavascriptUtils

    java.lang.Object
      org.apache.myfaces.renderkit.html.util.JavascriptUtils

public final class JavascriptUtils
extends java.lang.Object

Version:
  $Revision: 289916 $ $Date: 2005-09-18 07:51:53 -0400 (Sun, 18 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $), Anton Koinov

Field Summary
`static java.lang.String` | `JAVASCRIPT_DETECTED`

Method Summary
`static void` | `appendAutoScrollAssignment(java.lang.StringBuffer onClickValue, java.lang.String formName)` Adds the hidden form input value assignment that is necessary for the autoscroll feature to an html link or button onclick attribute.
`static java.lang.String` | `encodeString(java.lang.String string)`
`static java.lang.String` | `getOldViewId(javax.faces.context.ExternalContext externalContext)`
`static java.lang.String` | `getValidJavascriptName(java.lang.String s, boolean checkForReservedWord)`
`static boolean` | `isJavascriptAllowed(javax.faces.context.ExternalContext externalContext)`
`static boolean` | `isJavascriptDetected(javax.faces.context.ExternalContext externalContext)`
`static void` | `renderAutoScrollFunction(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer)` Renders the autoscroll javascript function.
`static void` | `renderAutoScrollHiddenInput(javax.faces.context.ResponseWriter writer)` Renders the hidden form input that is necessary for the autoscroll feature.
`static void` | `setJavascriptDetected(javax.faces.context.ExternalContext externalContext, boolean value)`
`static void` | `setOldViewId(javax.faces.context.ExternalContext externalContext, java.lang.String viewId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVASCRIPT_DETECTED

    public static final java.lang.String JAVASCRIPT_DETECTED

Method Detail

### getValidJavascriptName

    public static java.lang.String getValidJavascriptName(java.lang.String s,
                                                          boolean checkForReservedWord)

### encodeString

    public static java.lang.String encodeString(java.lang.String string)

### isJavascriptAllowed

    public static boolean isJavascriptAllowed(javax.faces.context.ExternalContext externalContext)

### setJavascriptDetected

    public static void setJavascriptDetected(javax.faces.context.ExternalContext externalContext,
                                             boolean value)

### isJavascriptDetected

    public static boolean isJavascriptDetected(javax.faces.context.ExternalContext externalContext)

### appendAutoScrollAssignment

    public static void appendAutoScrollAssignment(java.lang.StringBuffer onClickValue,
                                                  java.lang.String formName)

  Adds the hidden form input value assignment that is necessary for the autoscroll feature to an html link or button onclick attribute.

### renderAutoScrollHiddenInput

    public static void renderAutoScrollHiddenInput(javax.faces.context.ResponseWriter writer)
                                            throws java.io.IOException

  Renders the hidden form input that is necessary for the autoscroll feature.

  Throws:
    `java.io.IOException`

### renderAutoScrollFunction

    public static void renderAutoScrollFunction(javax.faces.context.FacesContext facesContext,
                                                javax.faces.context.ResponseWriter writer)
                                         throws java.io.IOException

  Renders the autoscroll javascript function.

  Throws:
    `java.io.IOException`

### setOldViewId

    public static void setOldViewId(javax.faces.context.ExternalContext externalContext,
                                    java.lang.String viewId)

### getOldViewId

    public static java.lang.String getOldViewId(javax.faces.context.ExternalContext externalContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD